schema: 1

bugzilla:
  product: Core
  component: "Audio/Video: Playback"

origin:
  name: nestegg
  description: "WebM demuxer"
  url: https://github.com/mozilla/nestegg
  license: ISC
  release: a507ba123da6cdca81538e15e127c13b682152a5 (2025-09-08T22:48:30Z).
  revision: a507ba123da6cdca81538e15e127c13b682152a5

vendoring:
  url: https://github.com/mozilla/nestegg
  source-hosting: github
  vendor-directory: media/libnestegg
  skip-vendoring-steps:
    - update-moz-build
  exclude:
    - configure.ac
    - docs
    - INSTALL
    - m4
    - Makefile.am
    - nestegg.pc.in
    - nestegg-uninstalled.pc.in
    - test
    - TODO
  keep:
    - include/moz.build
    - src/moz.build

updatebot:
  maintainer-phab: kinetik
  maintainer-bz: kinetik@flim.org
  fuzzy-query: media
  tasks:
    - type: vendoring
      enabled: True
      frequency: every

